import { loadOptions } from './load';
/**
 * Return structured, typed configuration information from both the process ENV and a .env file
 * Takes in a transform function that populates a configuration type
 */
export declare function config<T>(transform: (env: {
    [key: string]: any;
}) => T, options?: loadOptions): T;
