/**
 * Cast a value into the specified type
 * @param   {string}                             value     A string representation of a variable
 * @param   {string}                             type      The type the value should be. Either string, boolean, number, object or array.
 * @param   {object}                             [options] Additional options. Optional.
 * @returns {string|boolean|number|object|Array} The value casted into the specified type.
 */
export declare function type(value: string, type: string, options?: {
    verbose?: boolean;
}): unknown;
